Subject: Re: linux-next: manual merge of the net tree with the tree

From: Pantelis Koukousoulas <[email-masked]>
Date: Fri, 20 Mar 2009 06:38:05 +0200

On Fri, Mar 20, 2009 at 2:32 AM, Stephen Rothwell <[email-masked]> wrote:
> Hi David,
>
> Today's linux-next merge of the net tree got a conflict in
> drivers/net/virtio_net.c between commit
> 4783256ef92f5aecd6d54693b16386f2a0021c2a ("virtio_net: Make virtio_net
> support carrier detection") from the net-current tree and commit
> 9f4d26d0f3016cf8813977d624751b94465fa317 ("virtio_net: add link status
> handling") from the net tree.
>
> I think that the latter patch means that the former is not needed, so I
> used the version from the net tree.
> --
> Cheers,
> Stephen Rothwell                    [email-masked]
> http://www.canb.auug.org.au/~sfr/
>

Hi,

The correct merge is so that the conflicting part becomes like this:

+       /* If we have no carrier info, the answer is "always on". */
       vi->status = VIRTIO_NET_S_LINK_UP;
+       netif_carrier_on(vi->dev);

I.e., you need to keep this netif_carrier_on(vi->dev) to maintain
useful behavior
for current/older versions of qemu that don't support link handling (because
in this case VIRTIO_NET_S_LINK_UP will not cause netif_carrier_on to
be called).

Thanks,
Pantelis